error:could not find required blas library

error:could not find required blas library

Although I have already installed the ifc8.1 (which contains g77 compiler as well) in our Itanium workstation,but still a problem persists in compiling a particular code. The reason might be somewhere else, which I am not yet able to find out.
******************************************
checking for sgemm... no
checking for ATL_xerbla in -latlas... no
checking for sgemm in -lmkl_def... no
checking for sgemm in -lblas... no
checking for sgemm in -lblas... no
checking for sgemm in -lmkl... no
checking for sgemm in -lcxml... no
checking for sgemm in -ldxml... no
checking for sgemm in -lscs... no
checking for sgemm in -lcomplib.sgimath... no
checking for sgemm in -lblas... no
checking for sgemm in -lblas... no
configure: error: could not find required blas library
********************************************
Even I tried with ./configure --with-blas='/usr/lib' --with-lapack='/usr/lib', but again the same error comes.
Please assist me in sorting it out.
Regards,
Arijit

2 posts / 0 new
Last post
For more complete information about compiler optimizations, see our Optimization Notice.

It would help a lot to know what your link line looks like.

Absent that you should either have in your makefile or in your environment the path for the MKL library. That path should look something like this: -L/opt/intel/mkl72/lib/64. Then either you script or your makefile should have -lmkl_ipf -lguide -lpthread.

Bruce

Leave a Comment

Please sign in to add a comment. Not a member? Join today